Bug 181720 - [patch] shells/zsh fix building of static binary with devel/ncurses port installed
Summary: [patch] shells/zsh fix building of static binary with devel/ncurses port inst...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-01 11:30 UTC by Vladimir Kondratiev
Modified: 2015-12-15 04:02 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (455 bytes, patch)
2013-09-01 11:30 UTC, Vladimir Kondratiev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kondratiev 2013-09-01 11:30:01 UTC
terminfo routines belong to libtinfo.(a|so) not libncurses.(a|so) since ncurses 5.0

Fix: Patch attached with submission follows:
How-To-Repeat: install devel/ncurses then build shells/zsh with STATIC option enabled
Comment 1 Edwin Groothuis freebsd_committer 2013-09-01 11:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Carlo Strub freebsd_committer 2014-09-14 10:44:03 UTC
Is this PR still relevant?
Comment 3 Baptiste Daroussin freebsd_committer 2015-12-09 12:29:18 UTC
Over to new maintainer
Comment 4 commit-hook freebsd_committer 2015-12-15 04:02:40 UTC
A commit references this bug:

Author: adamw
Date: Tue Dec 15 04:02:17 UTC 2015
New revision: 403755
URL: https://svnweb.freebsd.org/changeset/ports/403755

Log:
  Fix static build against devel/ncurses by correcting how zsh tries to link
  against the terminal libraries. No PORTREVISION bump as this shouldn't really
  change the generated packages.

  PR:		181720
  Submitted by:	wulf@mail.mipt.ru

  While here, fix a spacing nit and wrap compound commands in parens.

Changes:
  head/shells/zsh/Makefile
Comment 5 Adam Weinberger freebsd_committer 2015-12-15 04:02:54 UTC
Committed in r403755.